## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# 22 of the 23 provided unit tests require a valid configuration file and certificate.
# The remaining dependency fails due to the dependency adjustments in %%prep
%bcond_with     tests

Name:           oci-cli
Version:        3.39.0
Release:        %autorelease
Summary:        Command Line Interface for Oracle Cloud Infrastructure 

License:        UPL-1.0
URL:            https://github.com/oracle/oci-cli
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(vcrpy)
%endif

%global _description %{expand:
This is the command line interface for Oracle Cloud Infrastructure.}

%description %{_description}

# Awaiting a fix for python-cx-oracle
# https://src.fedoraproject.org/rpms/python-cx-oracle/pull-request/1
# %%pyproject_extras_subpkg -n %%{name} db


%prep
%autosetup -n %{name}-%{version}

# Remove upper limits and pinned dependencies.
sed -i -e 's/,[<=]\+[0-9\.]\+//' -e 's/==/>=/' setup.py

# Work around a versioning bug when trying to find terminaltables.
sed -i 's/terminaltables>=[0-9\.]\+/terminaltables/' setup.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

# Remove extra script that isn't needed.
rm -f %{buildroot}/%{_bindir}/create_backup_from_onprem

%pyproject_save_files alloy common_util interactive oci_cli services


%check
%pyproject_check_import -e 'oci_cli.scripts.database.dbaas' -e 'services.*'

%if %{with tests}
%pytest
%endif


%files -n %{name} -f %{pyproject_files}
%license LICENSE.txt THIRD_PARTY_LICENSES.txt
%doc CHANGELOG.rst COMMON_ISSUES.rst README.rst
%{_bindir}/oci


%changelog
## START: Generated by rpmautospec
* Tue Apr 09 2024 Packit <hello@packit.dev> - 3.39.0-1
- Update to 3.39.0 upstream release
- Resolves: rhbz#2274130

* Wed Apr 03 2024 Packit <hello@packit.dev> - 3.38.1-1
- Update to 3.38.1 upstream release
- Resolves: rhbz#2272934

* Tue Mar 26 2024 Packit <hello@packit.dev> - 3.38.0-1
- [packit] 3.38.0 upstream release
- Resolves: rhbz#2271618

* Fri Mar 22 2024 Major Hayden <major@redhat.com> - 3.37.14-4
- Work around a bug finding terminaltables >= 3.1.10

* Fri Mar 22 2024 Major Hayden <major@redhat.com> - 3.37.14-3
- Remove upper limits + pins

* Fri Mar 22 2024 Major Hayden <major@redhat.com> - 3.37.14-2
- Remove upper limit on cryptography

* Thu Mar 21 2024 Major Hayden <major@redhat.com> - 3.37.14-1
- Update to 3.37.14 rhbz#2266517

* Mon Feb 26 2024 Major Hayden <major@redhat.com> - 3.37.10-1
- Update to 3.37.10 rhbz#2264057

* Tue Feb 13 2024 Packit <hello@packit.dev> - 3.37.9-1
- [packit] 3.37.9 upstream release
- Resolves rhbz#2264057

* Tue Feb 06 2024 Major Hayden <major@redhat.com> - 3.37.8-2
- Update terminaltables release

* Tue Feb 06 2024 Packit <hello@packit.dev> - 3.37.8-1
- [packit] 3.37.8 upstream release
- Resolves rhbz#2263010

* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 3.37.7-2
- Remove CONTRIBUTING.md from files list

* Wed Jan 31 2024 Packit <hello@packit.dev> - 3.37.7-1
- [packit] 3.37.7 upstream release
- Resolves rhbz#2260494

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.37.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 24 2024 Major Hayden <major@redhat.com> - 3.37.5-1
- Update to 3.37.5

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.37.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Packit <hello@packit.dev> - 3.37.4-1
- [packit] 3.37.4 upstream release
- Resolves rhbz#2258604

* Thu Jan 11 2024 Packit <hello@packit.dev> - 3.37.3-1
- [packit] 3.37.3 upstream release
- Resolves rhbz#2257702

* Wed Jan 10 2024 Packit <hello@packit.dev> - 3.37.2-1
- [packit] 3.37.2 upstream release
- Resolves rhbz#2257702

* Wed Dec 13 2023 Packit <hello@packit.dev> - 3.37.1-1
- [packit] 3.37.1 upstream release
- Resolves rhbz#2254286

* Wed Dec 06 2023 Packit <hello@packit.dev> - 3.37.0-1
- [packit] 3.37.0 upstream release
- Resolves rhbz#2253100

* Tue Nov 14 2023 Packit <hello@packit.dev> - 3.36.2-1
- [packit] 3.36.2 upstream release
- Resolves rhbz#2249657

* Tue Nov 07 2023 Packit <hello@packit.dev> - 3.36.1-1
- [packit] 3.36.1 upstream release
- Resolves rhbz#2248532

* Wed Nov 01 2023 Packit <hello@packit.dev> - 3.36.0-1
- [packit] 3.36.0 upstream release
- Resolves rhbz#2247458

* Wed Oct 25 2023 Major Hayden <major@redhat.com> - 3.35.0-1
- Update to 3.35.0 rhbz#2246034

* Thu Oct 19 2023 Major Hayden <major@redhat.com> - 3.34.0-1
- Update to 3.34.0

* Wed Oct 11 2023 Packit <hello@packit.dev> - 3.33.4-1
- [packit] 3.33.4 upstream release

* Tue Oct 03 2023 Packit <hello@packit.dev> - 3.33.3-1
- [packit] 3.33.3 upstream release

* Thu Sep 14 2023 Packit <hello@packit.dev> - 3.33.1-1
- [packit] 3.33.1 upstream release

* Wed Sep 06 2023 Major Hayden <major@redhat.com> - 3.33.0-2
- Add alloy package directory

* Wed Sep 06 2023 Packit <hello@packit.dev> - 3.33.0-1
- [packit] 3.33.0 upstream release

* Wed Aug 30 2023 Packit <hello@packit.dev> - 3.32.0-1
- [packit] 3.32.0 upstream release

* Wed Aug 23 2023 Packit <hello@packit.dev> - 3.31.1-1
- [packit] 3.31.1 upstream release

* Wed Aug 16 2023 Major Hayden <major@redhat.com> - 3.31.0-1
- Update to 3.31.0

* Thu Aug 10 2023 Packit <hello@packit.dev> - 3.30.2-1
- [packit] 3.30.2 upstream release

* Wed Aug 02 2023 Packit <hello@packit.dev> - 3.30.1-1
- [packit] 3.30.1 upstream release

* Tue Jul 25 2023 Packit <hello@packit.dev> - 3.30.0-1
- [packit] 3.30.0 upstream release

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.29.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 19 2023 Major Hayden <major@redhat.com> - 3.29.4-2
- Adjust PyYAML pin to allow > 6

* Tue Jul 18 2023 Packit <hello@packit.dev> - 3.29.4-1
- [packit] 3.29.4 upstream release

* Thu Jul 13 2023 Major Hayden <major@mhtx.net> - 3.29.3-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
